# Generated by Django 4.0.6 on 2022-08-03 07:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0023_friendlybet_bet_appected'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='friendlybet',
            name='win_accepted_by_1',
        ),
        migrations.RemoveField(
            model_name='friendlybet',
            name='win_accepted_by_2',
        ),
        migrations.AddField(
            model_name='friendlybet',
            name='bet_winner_sender',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='bet_winner_sender', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='friendlybet',
            name='is_finished',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='friendlybet',
            name='is_pending',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='friendlybet',
            name='winner_request',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='bet_winner_request', to=settings.AUTH_USER_MODEL),
        ),
    ]
